import request from '@/utils/request'

// 查询实体类属性列表
export function listClassAttribute(query) {
  return request({
    url: '/knowledge/classAttribute/list',
    method: 'get',
    params: query
  })
}

// 查询实体类属性详细
export function getClassAttribute(attrClsId) {
  return request({
    url: '/knowledge/classAttribute/' + attrClsId,
    method: 'get'
  })
}

// 新增实体类属性
export function addClassAttribute(data) {
  return request({
    url: '/knowledge/classAttribute',
    method: 'post',
    data: data
  })
}

// 修改实体类属性
export function updateClassAttribute(data) {
  return request({
    url: '/knowledge/classAttribute',
    method: 'put',
    data: data
  })
}

// 删除实体类属性
export function delClassAttribute(attrClsId) {
  return request({
    url: '/knowledge/classAttribute/' + attrClsId,
    method: 'delete'
  })
}
